Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.ui
Class WorklistUIContextHelper

    java.lang.Object
      com.bea.wli.worklist.api.ui.WorklistUIContextHelper

All Implemented Interfaces:
  Serializable

    public class WorklistUIContextHelper

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`WorklistUIContextHelper(HttpSession session)`

Method Summary
`TaskData` | `getTaskData()`
`Map<String,TaskListViewInfo>` | `getTaskListViewMap()`
`String` | `getTaskListViewName()`
`TaskUIContextInfo` | `getTaskUIContextInfo()` Get the context object for custom task UI to operate on.
`String` | `getUserName()`
`UserTransaction` | `getUserTransaction()`
`WorklistContext` | `getWorklistContext()`
`boolean` | `isSessionActive()` Allows the caller to make sure that the session is active and thus can continue using this handle.
`void` | `setTaskData(TaskData taskData)`
`void` | `setTaskListViewMap(Map<String,TaskListViewInfo> map)`
`void` | `setTaskListViewName(String view)`
`void` | `setUserName(String userName)`
`void` | `updateTaskData(TaskData taskData)` Set the given TaskData back into the session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorklistUIContextHelper

    public WorklistUIContextHelper(HttpSession session)

Method Detail

### isSessionActive

    public boolean isSessionActive()

  Allows the caller to make sure that the session is active and thus can continue using this handle. Internally this method is used during session fail over. When the session is recovered by the secondary machine this class needs to be refreshed since it holds the session object. So the page flows that hold reference to this object need to make sure that the session is active before using it. If not they will have to refresh the handle and provide the current session active object.

  Returns:
    true if the this instance holds an active session

### getWorklistContext

    public WorklistContext getWorklistContext()
                                       throws ManagementException

  Throws:
    `ManagementException`

### getUserTransaction

    public UserTransaction getUserTransaction()
                                       throws ManagementException

  Throws:
    `ManagementException`

### setTaskListViewMap

    public void setTaskListViewMap(Map<String,TaskListViewInfo> map)

### getTaskListViewMap

    public Map<String,TaskListViewInfo> getTaskListViewMap()

### setUserName

    public void setUserName(String userName)

### getUserName

    public String getUserName()

### setTaskListViewName

    public void setTaskListViewName(String view)

### getTaskListViewName

    public String getTaskListViewName()

### setTaskData

    public void setTaskData(TaskData taskData)

### updateTaskData

    public void updateTaskData(TaskData taskData)
                        throws IllegalStateException

  Set the given TaskData back into the session.

  Parameters:
    `taskData` -
  Throws:
    `IllegalStateException` - If no current task is set, TaskData is null or the task id of the old and new TaskData don't match.

### getTaskData

    public TaskData getTaskData()

### getTaskUIContextInfo

    public TaskUIContextInfo getTaskUIContextInfo()
                                           throws IllegalStateException

  Get the context object for custom task UI to operate on.

  Throws:
    `IllegalStateException` - If no current task is set on the session.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD